Debian Bug report logs - #493350
ITP: astromenace -- hardcore 3D space shooter with spaceship upgrade possibilities

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Boris Pek <Tehnick-8@yandex.ru>

Date: Sat, 2 Aug 2008 10:24:02 UTC

Owned by: Boris Pek <tehnick-8@mail.ru>

Severity: wishlist

Fixed in version astromenace/1.3.1+repack-1

Done: Boris Pek <tehnick-8@mail.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#493350; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aïssi Dylan <aissi.dylan@free.fr>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aïssi Dylan <aissi.dylan@free.fr>
To: submit@bugs.debian.org
Subject: RFP: OpenAstroMenace -- Hardcore 3D space shooter with spaceship upgrade possibilities.
Date: Sat, 02 Aug 2008 12:21:25 +0200
Package: wnpp
Severity: wishlist
License: GPL 3
Homepage: http://sourceforge.net/projects/openastromenace/

OpenAstroMenace is an arcade game that is a “3D space shooter with 
spaceship upgrade possibilities”. It is a GPL v3 fork of AstroMenace, 
developed by Viewizard.

AstroMenace source code on the Viewizard site:
- http://www.viewizard.com/download.php?forceos=source

.deb packages and patches:
- http://viewizard.com/linux/debian/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#493350; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 493350@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 493350@bugs.debian.org
Subject: debian: open menace
Date: Fri, 22 Aug 2008 23:27:18 +0200
[Message part 1 (text/plain, inline)]
hi,

As noticed on ubuntu tracker :
https://bugs.launchpad.net/ubuntu/+bug/173906

I've built astromenace from sources you can take my package as a start
but as always in games the data's licence will have to be studied

Get pkg : http://rzr.online.fr/q/OpenAl

-- 
 # mailto:rzr[a]users.sf.net -- gpg:0x467094BC                        #
 # http://rzr.online.fr/contribs.htm -- Libre Software Addict         #
 # xmpp:rzr[a]jabber.fr -- sip:rzr[a]ekiga.net                        #



[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to `RFP: openastromenace -- Hardcore 3D space shooter with spaceship upgrade possibilities.' from `RFP: OpenAstroMenace -- Hardcore 3D space shooter with spaceship upgrade possibilities. '. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 07 Dec 2008 06:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#493350; Package wnpp. (Wed, 27 Jul 2011 16:08:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:08:12 GMT) Full text and rfc822 format available.

Message #17 received at 493350@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 493350@bugs.debian.org
Cc: control@bugs.debian.org
Subject: openastromenace: closing old inactive RFP
Date: Wed, 27 Jul 2011 17:57:24 +0200
close 493350
thanks

Hello,

This is an automatic mail sent to close this RFP.

Your RFP wnpp bug is being closed because of the following reasons:
- It hasn't seen any activity for the last 18 months.
- The amount of RFPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not intended
by owners and submitters to be closed, for example if the RFP is still
of your interest, or there has been some kind of activity around it.
In that case, please do not hesitate to reopen the bug!

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <lucas@debian.org>.

Thanks for your cooperation,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Bug closed, send any further explanations to Aïssi Dylan <aissi.dylan@free.fr> Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:18:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Aug 2011 07:53:04 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Boris Pek <Tehnick-8@yandex.ru> to control@bugs.debian.org. (Sun, 25 Nov 2012 11:45:05 GMT) Full text and rfc822 format available.

Bug reopened Request was from Boris Pek <Tehnick-8@yandex.ru> to control@bugs.debian.org. (Sun, 25 Nov 2012 11:45:06 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Boris Pek <Tehnick-8@yandex.ru>' from 'Aïssi Dylan <aissi.dylan@free.fr>' Request was from Boris Pek <Tehnick-8@yandex.ru> to control@bugs.debian.org. (Sun, 25 Nov 2012 11:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#493350; Package wnpp. (Thu, 13 Dec 2012 04:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Dec 2012 04:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 493350@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: debian-devel-games@lists.debian.org
Cc: 493350@bugs.debian.org
Subject: Re: Very nice open source game (AstroMenace)
Date: Thu, 13 Dec 2012 15:22:38 +1100
Hi Boris,

Thank you for discussing game data licensing with upstream.

On Thu, 29 Nov 2012 06:52:36 Boris Pek wrote:
> After small discussion [1] I can give brief info about current situation
> with licenses for data files:
> * There are ttf fonts under own free licenses which compatible with GPLv3.

There are bundled fonts from "fonts-liberation" and "fonts-freefont-ttf".

However source of one font file is unclear:

	RAW_VFS_DATA/FONT/Ubuntu-B.ttf


> * Another part of 3D models was licensed from third-party design studio.
>   And these files come under proprietary license.
> Now main developer is going to re-licence these proprietary files under
> CC BY-SA and to update main file with description of all copyrights and
> licenses used in program.

The problem is that some files are sourceless, right?


> 
> So let's wait for a next release.

Meanwhile I wanted to see this game in action so I committed initial packaging 
to

	http://anonscm.debian.org/gitweb/?p=pkg-games/astromenace.git

I'm leaving it there so please feel free to take over the packaging if you 
have time.

> 
> [1] https://www.linux.org.ru/news/games/8375237/page1#comment-8524508 (in
> Russian)

Regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#493350; Package wnpp. (Thu, 13 Dec 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Dec 2012 14:00:03 GMT) Full text and rfc822 format available.

Message #37 received at 493350@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@yandex.ru>
To: debian-devel-games@lists.debian.org,493350@bugs.debian.org
Subject: Re: Very nice open source game (AstroMenace)
Date: Thu, 13 Dec 2012 15:56:03 +0200
>>>  After small discussion [1] I can give brief info about current situation
>>>  with licenses for data files:
>>>  * There are ttf fonts under own free licenses which compatible with GPLv3.
>>  There are bundled fonts from "fonts-liberation" and "fonts-freefont-ttf".

Yes, upstream needs in these bundled fonts for a crossplatform reason.

>>  However source of one font file is unclear:
>>
>>          RAW_VFS_DATA/FONT/Ubuntu-B.ttf
>
> I was curious about which font package Ubuntu-B.ttf belongs to and it seems it
> is part of ttf-ubuntu-font-family in Ubuntu.

Yes, all is described here:
http://sourceforge.net/p/openastromenace/code/234/tree/License.txt#l60

> However if i understand bug
> report #603157 [1] correctly, ftp-masters consider the Ubuntu Font License
> to be non-free at the moment. It seems another blocker is that you can't
> build the fonts from source with tools in main.
>
> [1] http://bugs.debian.org/603157

Yes, you are right.

> Maybe we can substitute Ubuntu-B.ttf with a free font?

Only if maintainer make necessary patches in the package.

I asked main developer about fonts. He replied that upstream won't support
other fonts in game.

>>>  * Another part of 3D models was licensed from third-party design studio.
>>>    And these files come under proprietary license.
>>>  Now main developer is going to re-licence these proprietary files under
>>>  CC BY-SA and to update main file with description of all copyrights and
>>>  licenses used in program.
>>  The problem is that some files are sourceless, right?

Game developers have these source files but they cannot distribute them.
But they can distribute generated 3D models. And CC BY-SA is the best choice
in this case I think. Users will be able even to modify these files and
to distribute the result.

> This seems to be the difficult part here.

I don't see any problems here. Program with the most part of content is
suitable for contrib. And some data files will come into non-free.

Best wishes,
Boris



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#493350; Package wnpp. (Thu, 13 Dec 2012 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 13 Dec 2012 16:03:06 GMT) Full text and rfc822 format available.

Message #42 received at 493350@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@yandex.ru>
To: "debian-devel-games@lists.debian.org" <debian-devel-games@lists.debian.org>,"493350@bugs.debian.org" <493350@bugs.debian.org>
Subject: Re: Very nice open source game (AstroMenace)
Date: Thu, 13 Dec 2012 18:00:27 +0200
>>  Maybe we can substitute Ubuntu-B.ttf with a free font?
>
> Only if maintainer make necessary patches in the package.

Game developer wrote me small note how to replace this font in easy way to save
some time for a future maintainer:
1) Edit AstroMenaceSource/MainFS2VFS.cpp:403 --> string "FONT/Ubuntu-B.ttf"
2) Edit AstroMenaceSource/Main.cpp:49 --> {"Ubuntu Family", "DATA/FONT/Ubuntu-B.ttf"}
3) Replace old font RAW_VFS_DATA/FONT/Ubuntu-B.ttf by another one.

(All numbers in instructions are for a future version 1.3.1)

Hope this helps.

Best wishes,
Boris



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#493350; Package wnpp. (Mon, 17 Dec 2012 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 17 Dec 2012 23:33:03 GMT) Full text and rfc822 format available.

Message #47 received at 493350@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@yandex.ru>
To: Dmitry Smirnov <onlyjob@member.fsf.org>,"debian-devel-games@lists.debian.org" <debian-devel-games@lists.debian.org>
Cc: "493350@bugs.debian.org" <493350@bugs.debian.org>
Subject: Re: Very nice open source game (AstroMenace)
Date: Tue, 18 Dec 2012 01:28:36 +0200
Hi Dmitry,

>>  So let's wait for a next release.
>
> Meanwhile I wanted to see this game in action so I committed initial packaging
> to
>
>         http://anonscm.debian.org/gitweb/?p=pkg-games/astromenace.git
>
> I'm leaving it there so please feel free to take over the packaging if you
> have time.

I pushed few commits to this repo. Package in FTBFS now, but this could be easy
fixed. Package of course is not ready yet and it requires more time than I have
now. Hope I will find enough free time soon. Any help is welcome.

Best wishes,
Boris



Changed Bug title to 'ITP: astromenace -- hardcore 3D space shooter with spaceship upgrade possibilities' from 'RFP: openastromenace -- Hardcore 3D space shooter with spaceship upgrade possibilities.' Request was from Boris Pek <tehnick-8@yandex.ru> to control@bugs.debian.org. (Wed, 19 Dec 2012 23:27:03 GMT) Full text and rfc822 format available.

Owner recorded as Boris Pek <tehnick-8@mail.ru>. Request was from Boris Pek <tehnick-8@mail.ru> to control@bugs.debian.org. (Thu, 20 Dec 2012 06:51:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 493350: 696385 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Thu, 20 Dec 2012 16:21:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 29 Apr 2013 20:09:23 GMT) Full text and rfc822 format available.

Reply sent to Boris Pek <tehnick-8@mail.ru>:
You have taken responsibility. (Sat, 18 May 2013 12:03:08 GMT) Full text and rfc822 format available.

Notification sent to Boris Pek <Tehnick-8@yandex.ru>:
Bug acknowledged by developer. (Sat, 18 May 2013 12:03:08 GMT) Full text and rfc822 format available.

Message #60 received at 493350-close@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@mail.ru>
To: 493350-close@bugs.debian.org
Subject: Bug#493350: fixed in astromenace 1.3.1+repack-1
Date: Sat, 18 May 2013 12:00:33 +0000
Source: astromenace
Source-Version: 1.3.1+repack-1

We believe that the bug you reported is fixed in the latest version of
astromenace, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493350@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Boris Pek <tehnick-8@mail.ru> (supplier of updated astromenace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 09 Apr 2013 02:04:25 +0300
Source: astromenace
Binary: astromenace
Architecture: source amd64
Version: 1.3.1+repack-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Boris Pek <tehnick-8@mail.ru>
Description: 
 astromenace - hardcore 3D space shooter with spaceship upgrade possibilities
Closes: 493350
Changes: 
 astromenace (1.3.1+repack-1) unstable; urgency=low
 .
   * Initial release (Closes: #493350).
Checksums-Sha1: 
 93ea7f43621c575260559fbb027d9289a92db4f9 2188 astromenace_1.3.1+repack-1.dsc
 09000f87cf220b623583838933209228d66df807 409596 astromenace_1.3.1+repack.orig.tar.xz
 3475c3220f855f401e012d23af2dfcfdd858e670 4604 astromenace_1.3.1+repack-1.debian.tar.xz
 f9907acea2b138eb92f37abf8f88d81eb0137e69 335006 astromenace_1.3.1+repack-1_amd64.deb
Checksums-Sha256: 
 61438d4639953d5fa5a53da1360c89220c6fd93b4a404a5e2eeaacc5937e7269 2188 astromenace_1.3.1+repack-1.dsc
 6e45d7e682db6a8ccec80f270b19354d2d1125a17e589cd8bc3a0d191bc4cfa8 409596 astromenace_1.3.1+repack.orig.tar.xz
 a4255578d7f99bb1f8f94444474f7eced97ebec9f9f3390c8411f4a217360543 4604 astromenace_1.3.1+repack-1.debian.tar.xz
 2f5f82b176cc534858f357717ea73db78a53f83eabd53ad36676e768acab1fea 335006 astromenace_1.3.1+repack-1_amd64.deb
Files: 
 af8f7ca13faeef99794858948449a580 2188 contrib/games optional astromenace_1.3.1+repack-1.dsc
 ea450ece10c5d10e3a342872c0477c7b 409596 contrib/games optional astromenace_1.3.1+repack.orig.tar.xz
 cc5b1524addc32b1e5c72ed2d39c7a65 4604 contrib/games optional astromenace_1.3.1+repack-1.debian.tar.xz
 38d051327ebfade51700942dea768704 335006 contrib/games optional astromenace_1.3.1+repack-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRfsqvAAoJEJOUU0jg3ChAjCIQAK6BIck/XGqdbcjZNaSxtcKf
extmutsRIGZHMuJ9FDrNHo53suChOMVH981+LMdyr3lmqwN7gLxR2omgehXdVi0x
ROxm9xj+rNLAOSdEDBuccA2qbn53uFh708CVaWThEvrJyt8lULruXd7VVb78MNP2
M8K+pIdEi1iG8FDnN//wLXTYyT2uv3rv7inuvH2FcXIv8n2EkFPge3Bo10wr+wPR
QpWXDB0X0J8sQoa8tPYbN72/OLHBQlcPmZ5TJPbaUP2FDUcBA8c+bgDn5dAJJEyW
QgkW/Wur3kCspQdXK5Ayj+fIZss4VTxJLQcYb+aZ08NcbFs2G6AdmRQ+bOv+9Jk3
JsgKf1TXQaTjnrIKAXCtHsGfaBjh2be2xMdYkQ2OrrQ3xW8nsBowPgst6MVhhnoc
yqHZP7KQ9GNK+1apv3kLuKVA4EdATkFiYMnub1KReUHZxIQ0Lz/umxNyBLKXhNh2
MPGNkmfXnqt1i1ngrzaUifLT99yKTqdy7gAk9IOW7jPWyPQuJ08ci7nZ9uRA32Zl
5B3NkfD7Mjk3jd7el8ndPfy7m+S9QJueYg2rGFd8dABy8GeBN1D4WpcgDPv1PVdf
UqCqoUeLAPBUh8NslzR/Lb5UtwVOX76RMxsD19I52wJmFgHruUWeiBASxcq0fOYu
oGY7x54KGcqHLAXeKE/o
=Z4Hw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Jun 2013 07:32:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:49:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.